GWGraphInternal::Zone Struct Reference

Internal: a list of graphic corresponding to a page. More...

## Public Member Functions

| Zone ()
| constructor More...

## Public Attributes

int | m_page
| the page number (if known) More...
std::vector< shared_ptr< Frame > > | m_frameList
| the list of frame More...
std::vector< Style > | m_styleList
| the list of style More...
bool | m_parsed
| true if we have send the data More...

## Detailed Description

Internal: a list of graphic corresponding to a page.

## Constructor & Destructor Documentation

GWGraphInternal::Zone::Zone | ( |  | ) |

inline

constructor

## Member Data Documentation

std::vector<shared_ptr<Frame> > GWGraphInternal::Zone::m_frameList

the list of frame

Referenced by GWGraph::readPageFrames(), and GWGraph::sendPageFrames().

int GWGraphInternal::Zone::m_page

the page number (if known)

Referenced by GWGraph::readPageFrames().

bool GWGraphInternal::Zone::m_parsed

mutable

true if we have send the data

Referenced by GWGraph::sendPageFrames().

std::vector<Style> GWGraphInternal::Zone::m_styleList

the list of style

Referenced by GWGraph::readPageFrames(), and GWGraph::sendBasic().

The documentation for this struct was generated from the following file:

- GWGraph.cxx